desktopcouch don't quit after logout and restarts on login

Bug #597197 reported by Alessio Caiazza on 2010-06-22
20
This bug affects 4 people
Affects Status Importance Assigned to Milestone
desktopcouch
Medium
Chad Miller
desktopcouch (Ubuntu)
Medium
Chad Miller

Bug Description

Binary package hint: desktopcouch

After logging out lots of process related to desktopcouch didn't quit, if you log in the respwan.

After some days of login/logout youll'find lots of process running.

$ who
adminars pts/0 2010-06-22 12:22 (pc-ars32.arsanita.toscana.it)

I logged in with adminars user and checked alecai's process

$ps aux | grep alecai
alecai 2652 0.0 0.0 1828 556 ? S 12:23 0:00 /bin/sh -e /usr/bin/couchdb -n -a \"/etc/couchdb/default.ini\" -a \"/etc/xdg/desktop-couch/compulsory-auth.ini\" -a \"/home/alecai/.config/desktop-couch/desktop-couchdb.ini\" -b -r 0 -p /home/alecai/.cache/desktop-couch/desktop-couchdb.pid -o /home/alecai/.cache/desktop-couch/desktop-couchdb.stdout -e /home/alecai/.cache/desktop-couch/desktop-couchdb.stderr -R
alecai 2680 0.0 0.0 1828 336 ? S 12:23 0:00 /bin/sh -e /usr/bin/couchdb -n -a \"/etc/couchdb/default.ini\" -a \"/etc/xdg/desktop-couch/compulsory-auth.ini\" -a \"/home/alecai/.config/desktop-couch/desktop-couchdb.ini\" -b -r 0 -p /home/alecai/.cache/desktop-couch/desktop-couchdb.pid -o /home/alecai/.cache/desktop-couch/desktop-couchdb.stdout -e /home/alecai/.cache/desktop-couch/desktop-couchdb.stderr -R
alecai 2681 0.1 1.0 36020 10680 ? S 12:23 0:01 /usr/lib/erlang/erts-5.7.4/bin/beam -Bd -K true -- -root /usr/lib/erlang -progname erl -- -home /home/alecai -- -noshell -noinput -smp auto -sasl errlog_type error -pa /usr/lib/couchdb/erlang/lib/couch-0.10.0/ebin /usr/lib/couchdb/erlang/lib/mochiweb-r97/ebin /usr/lib/couchdb/erlang/lib/ibrowse-1.5.2/ebin /usr/lib/couchdb/erlang/lib/erlang-oauth/ebin -eval application:load(ibrowse) -eval application:load(oauth) -eval application:load(crypto) -eval application:load(couch) -eval crypto:start() -eval ssl:start() -eval ibrowse:start() -eval couch_server:start([ "/etc/couchdb/default.ini", "/etc/xdg/desktop-couch/compulsory-auth.ini", "/home/alecai/.config/desktop-couch/desktop-couchdb.ini"]), receive done -> done end. -pidfile /home/alecai/.cache/desktop-couch/desktop-couchdb.pid -heart
alecai 2685 0.0 0.0 1616 444 ? Ss 12:23 0:00 heart -pid 2681 -ht 11
alecai 2688 0.0 1.0 17032 10484 ? RN 12:23 0:00 /usr/bin/python /usr/lib/desktopcouch/desktopcouch-service
alecai 2733 0.0 0.3 19368 3488 ? Ssl 12:23 0:00 /usr/lib/couchdb/bin/couchjs /usr/share/couchdb/server/main.js
alecai 3173 0.0 1.0 17020 10468 ? SN 12:31 0:00 /usr/bin/python /usr/lib/desktopcouch/desktopcouch-service
adminars 3404 0.0 0.0 3336 812 pts/0 S+ 12:48 0:00 grep --color=auto alecai

$ lsb_release -rd
Description: Ubuntu 10.04 LTS
Release: 10.04

$ apt-cache policy desktopcouch
desktopcouch:
  Installato: 0.6.4-0ubuntu3
  Candidato: 0.6.4-0ubuntu3
  Tabella versione:
 *** 0.6.4-0ubuntu3 0
        500 http://it.archive.ubuntu.com/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status

Related branches

I can also confirm this one, after several login/logout cycles, many desktopcouch-service and desktop-couchdb related processes accumulate for each user, and continue to use CPU cycles (and network bandwidth, I think) even when the user logs out.

Roman Yepishev (rye) on 2011-04-19
Changed in desktopcouch (Ubuntu):
status: New → Confirmed
assignee: nobody → Chad Miller (cmiller)
importance: Undecided → Medium
Changed in desktopcouch:
assignee: nobody → Chad Miller (cmiller)
status: New → Confirmed
importance: Undecided → Medium
summary: - desktopcouch don't quit after logout adn restart on login
+ desktopcouch don't quit after logout and restarts on login
Chad Miller (cmiller) on 2011-04-25
Changed in desktopcouch:
status: Confirmed → In Progress
Changed in desktopcouch:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package desktopcouch - 1.0.8-0ubuntu1

---------------
desktopcouch (1.0.8-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Behavior change: Preserves Ubuntu One service through longer replication
      period, 10 minutes changed to 60 minutes.
    - Feature: Allow COUCH_INI environment variable to override /etc/ default
      config.
    - Feature: Install apport hook.
    - Bug fix: When ubuntuone credentials don't exist, don't wait forever and
      consume CPU. (LP: #760236, #787583)
    - Bug fix: Accept "linux3" kernel also. (LP: #803062)
    - Bug fix: Clean up all children when service exits. (LP: #597197)
  * Update standards-version 3.9.1 to 3.9.2.
  * Remove brace-expansion from python-desktopcouch-application.install .
  * Remove brace-expansion from python-desktopcouch-recordtypes.install .
  * Remove patch
    - patches/5-defer-dbus-service-for-plugins.patch
  * Remove deprecated CDBS simple-patch system from rules.
 -- Chad MILLER <email address hidden> Tue, 13 Sep 2011 17:08:41 +0200

Changed in desktopcouch (Ubuntu):
status: Confirmed → Fix Released

Still there in 1.0.8-0ubuntu1 on my machine:

paul 3784 0.0 0.0 4264 8 ? S Nov10 0:00 /bin/sh -e /usr/bin/couchdb -n -a /etc/couchdb/default.ini -a /etc/xdg/desktop-couch/compulsory-auth.ini -a /etc/xdg/desktop-couch/default.ini -a /home/paul/.config/desktop-couch/desktop-couchdb.ini -b -r 0 -p /home/paul/.cache/desktop-couch/desktop-couchdb.pid -o /home/paul/.cache/desktop-couch/desktop-couchdb.stdout -e /home/paul/.cache/desktop-couch/desktop-couchdb.stderr -R
paul 3792 0.0 0.0 4264 4 ? S Nov10 0:00 /bin/sh -e /usr/bin/couchdb -n -a /etc/couchdb/default.ini -a /etc/xdg/desktop-couch/compulsory-auth.ini -a /etc/xdg/desktop-couch/default.ini -a /home/paul/.config/desktop-couch/desktop-couchdb.ini -b -r 0 -p /home/paul/.cache/desktop-couch/desktop-couchdb.pid -o /home/paul/.cache/desktop-couch/desktop-couchdb.stdout -e /home/paul/.cache/desktop-couch/desktop-couchdb.stderr -R
paul 3793 0.0 0.1 107200 5428 ? Sl Nov10 0:14 /usr/lib/erlang/erts-5.8.3/bin/beam.smp -Bd -K true -A 4 -- -root /usr/lib/erlang -progname erl -- -home /home/paul -- -noshell -noinput -sasl errlog_type error -couch_ini /etc/couchdb/default.ini /etc/xdg/desktop-couch/compulsory-auth.ini /etc/xdg/desktop-couch/default.ini /home/paul/.config/desktop-couch/desktop-couchdb.ini -s couch -pidfile /home/paul/.cache/desktop-couch/desktop-couchdb.pid -heart
paul 3815 0.0 0.0 4028 12 ? Ss Nov10 0:01 heart -pid 3793 -ht 11
paul 3826 0.0 0.1 121880 6764 ? SN Nov10 4:28 /usr/bin/python /usr/lib/desktopcouch/desktopcouch-service
paul 27764 0.0 0.1 121820 6912 ? SN Nov11 3:07 /usr/bin/python /usr/lib/desktopcouch/desktopcouch-service
paul 30589 0.0 0.4 121824 15108 ? SN 10:26 0:24 /usr/bin/python /usr/lib/desktopcouch/desktopcouch-service

JACQUELINE (ijdisabest) on 2015-01-30
Changed in desktopcouch:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers